import matplotlib.pyplot as plt
from navipy.database import DataBaseLoad
import navipy.processing as processing
import os


# 1) Connect to the database
mydb_filename = os.path.abspath('../database.db')
mydb = DataBaseLoad(mydb_filename)
# 2) Define the position-orinetation at which
# we want the image
rowid = 12
my_scene = processing.scene(mydb, rowid=rowid)
my_skyline = processing.skyline(my_scene)

f, axarr = plt.subplots(1, 2, figsize=(15, 4))
for chan_i, chan_n in enumerate(mydb.channels):
    if chan_n == 'D':
        color = 'k'
        ax = axarr[1]
    else:
        color = chan_n
        ax = axarr[0]
    ax.plot(my_skyline[0, :, chan_i, 0], color=color)

f.show()
